import request from '@/utils/request'

export function getList(query) {
  return request({
    url: '/order/organize/orderList',
    method: 'get',
    params: query
  })
}

export function getDetail(query) {
  return request({
    url: '/order/organize/detail',
    method: 'get',
    params: query
  })
}

export function getRemarks(query) {
  return request({
    url: '/order/cmOrderRemark/remarksView',
    method: 'get',
    params: query
  })
}

export function saveRemarks(query) {
  return request({
    url: '/order/cmOrderRemark/addRemarks',
    method: 'post',
    data: query
  })
}

/**
 * 订单退款退货记录
 */
export function getRefundReturn(query) {
  return request({
    url: '/order/organize/toRecturnRecordByOrderId',
    method: 'get',
    params: query
  })
}
/**
 * 收退款记录
 */
export function getRefundRecord(query) {
  return request({
    url: '/order/organize/toRefundRecord',
    method: 'get',
    params: query
  })
}

export function getLogistics(query) {
  return request({
    url: '/order/organize/logisticsDetails',
    method: 'get',
    params: query
  })
}

/** 用户退款管理 */
export function getRefundList(query) {
  return request({
    url: '/order/cmReturnedPurchase/list',
    method: 'get',
    params: query
  })
}
/**
 * 用户退款详情
 */
export function getRefundDetail(id) {
  return request({
    url: '/order/cmReturnedPurchase/toReturnRecord/' + id,
    method: 'get'
  })
}
/**
 * 更改订单收款状态
 */
export function orderCheckReceipt(query) {
  return request({
    url: '/order/organize/check/receipt',
    method: 'get',
    params: query
  })
}
/**
 * 去发货
 */
export function orderTodeliver(id) {
  return request({
    url: '/order/deliver/to/deliver/' + id,
    method: 'get'
  })
}
/**
 * 确认发货
 */
export function confirmDeliver(data) {
  return request({
    url: '/order/deliver/confirm/deliver',
    method: 'post',
    data: data
  })
}
/**
 * 物流公司
 */
export function deliverShipCompany() {
  return request({
    url: '/order/deliver/ship/company',
    method: 'get'
  })
}
/**
 * 物流公司
 */
export function deliverDetails(id) {
  return request({
    url: '/order/deliver/deliver/details/' + id,
    method: 'get'
  })
}
